### Enumeration

# WebKit FeatureStatus

since: 2.42

#### Declaration

    enum WebKit.FeatureStatus

#### Description [src]

Describes the status of a `WebKitFeature`.

The status for a given feature can be obtained with `webkit_feature_get_status()`.

Available since: 2.42

#### Members

`WEBKIT_FEATURE_STATUS_EMBEDDER`

  Feature that adjust behaviour for specific application needs. The feature is not part of a Web platform feature, not a mature feature intended to be always on.

  - Value: `0`
  - Nickname: `embedder`
  - Available since: 2.42
`WEBKIT_FEATURE_STATUS_UNSTABLE`

  Feature in development. The feature may be unfinished, and there are no guarantees about its safety and stability.

  - Value: `1`
  - Nickname: `unstable`
  - Available since: 2.42
`WEBKIT_FEATURE_STATUS_INTERNAL`

  Feature for debugging the WebKit engine. The feature is not generally useful for user or web developers, and always disabled by default.

  - Value: `2`
  - Nickname: `internal`
  - Available since: 2.42
`WEBKIT_FEATURE_STATUS_DEVELOPER`

  Feature for web developers. The feature is not generally useful for end users, and always disabled by default.

  - Value: `3`
  - Nickname: `developer`
  - Available since: 2.42
`WEBKIT_FEATURE_STATUS_TESTABLE`

  Feature in active development and complete enough for testing. The feature may not be yet ready to ship and is disabled by default.

  - Value: `4`
  - Nickname: `testable`
  - Available since: 2.42
`WEBKIT_FEATURE_STATUS_PREVIEW`

  Feature ready to be tested by users. The feature is disabled by default, but may be enabled by applications automatically e.g. in their “technology preview” or “beta” versions.

  - Value: `5`
  - Nickname: `preview`
  - Available since: 2.42
`WEBKIT_FEATURE_STATUS_STABLE`

  Feature ready for general use. The feature is enabled by default, but it may still be toggled to support debugging and testing.

  - Value: `6`
  - Nickname: `stable`
  - Available since: 2.42
`WEBKIT_FEATURE_STATUS_MATURE`

  Feature in general use. The feature is always enabled and in general there should be no user-facing interface to toggle it.

  - Value: `7`
  - Nickname: `mature`
  - Available since: 2.42